Το Retpoline patch έρχεται στους Linux πυρήνες 4.9 και 4.14

retpoline

Αρκετές εκδόσεις του Linux πυρήνα, συμπεριλαμβανομένου του 4.9, 4.14 και ο επερχόμενος 4.15 θα έχουν υποστήριξη Retpoline για προστασία ενάντια στην ευπάθεια Spectre.

O Greg Kroah-Hartman ένας από τους επικεφαλείς του Kernel Development, ενέκρινε το patch για τους 4.9 και 4.14 πυρήνες, που σημαίνει ότι οι Linux χρήστες θα είναι ασφαλείς από το Spectre χωρίς εκπτώσεις στην απόδοση.

retpoline
Οι ακριβείς εκδόσεις των πυρήνων που θα περιέχουν το patch θα είναι οι 4.9.77 και 4.14.14 . Δυστυχώς όσοι βρίσκονται στον 4.4 (π.χ Ubuntu 16.04, Linux Mint 17 κλπ) και 3.18 (έληξε), και έχετε ελέγξει αν ο υπολογιστής σας είναι ευάλωτος στα Meltdown και Spectre, δεν υπάρχει ενημέρωση αν θα εμπεριέχουν το Retpoline patch παρότι λαμβάνουν άλλες ενημερώσεις. Ελπίδες ότι θα ενσωματωθεί σε επερχόμενα updates μόλις παρατηρηθούν ότι δεν υπάρχουν προβλήματα στους 4.9 και 4.14.

To Retpoline patch έχει ήδη ενσωματωθεί στον πυρήνα 4.15 που βρίσκεται στο τέλος της φάσης δοκιμών, λίγο πριν κυκλοφορήσει ως σταθερή έκδοση.

Το Retpoline patch δημιουργήθηκε από τον Paul Turner, έναν μηχανικό λογισμικού της Google. Με αυτό το patch, ο Turner κατάφερε να μετριάσει την ευπάθεια χωρίς επιπτώσεις στην απόδοση, όπως συνέβη στην Amazon όταν προσπάθησε να βρει λύση.


Παραπομπές:

Advertisements

Σου άρεσε το άρθρο; Πες την άποψή σου... έστω και Ανώνυμα:

Εισάγετε τα παρακάτω στοιχεία ή επιλέξτε ένα εικονίδιο για να συνδεθείτε:

Λογότυπο WordPress.com

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό WordPress.com. Αποσύνδεση /  Αλλαγή )

Φωτογραφία Google+

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό Google+. Αποσύνδεση /  Αλλαγή )

Φωτογραφία Twitter

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό Twitter. Αποσύνδεση /  Αλλαγή )

Φωτογραφία Facebook

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό Facebook. Αποσύνδεση /  Αλλαγή )

Σύνδεση με %s

This site uses Akismet to reduce spam. Learn how your comment data is processed.